## aewm++ 1.0.16

=== Makefile ===
# Makefile - aewm++
#
# Date: 7 November 2001
# aewm++ by: Frank Hale <frankhale@yahoo.com> 
#
# Original header below:
#
# aewm - a minimalistic X11 window manager. 
# Copyright () 1998-2001 Decklin Foster <decklin@red-bean.com>
# Free software! Please see README for details and license.  

CC       = g++
CFLAGS   = -g -O2 -Wall

prefix   = /usr/X11R6
XROOT    = $(prefix)
DESTDIR  =
INCLUDES = -I$(XROOT)/include
LDPATH   = -L$(XROOT)/lib
LIBS     = -lXext -lX11

# SHAPE = Shape Extension
# NEED_SETENV = Does your Unix not support the setenv function? Use this!
DEFINES  = -DSHAPE #-DNEED_SETENV 
HEADERS  = aewm.hh 		\
	   basemenu.hh  	\
	   basemenuitem.hh 	\
	   client.hh 		\
	   genericmenu.hh 	\
	   iconmenu.hh  	\
	   linkedlist.hh 	\
	   windowmanager.hh 	\
	   windowmenu.hh

OBJS     = linkedlist.o 	\
	   basemenu.o   	\
	   genericmenu.o	\
	   iconmenu.o   	\
	   windowmenu.o 	\
	   windowmanager.o 	\
	   client.o 		\
	   misc.o 		\
	   main.o 

all: aewm++

aewm++: $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.cc $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

install: all
	mkdir -p $(DESTDIR)$(XROOT)/bin
	mkdir -p $(DESTDIR)$(XROOT)/man/man1
	install -s aewm++ $(DESTDIR)$(XROOT)/bin
	install -m 644 aewm++.1x  $(DESTDIR)$(XROOT)/man/man1
	gzip -9vf  $(DESTDIR)$(XROOT)/man/man1/aewm++.1x

uninstall: all
	rm -f $(DESTDIR)$(XROOT)/bin/aewm++
	rm -f $(DESTDIR)$(XROOT)/man/man1/aewm++.1x
	rm -f $(DESTDIR)$(XROOT)/man/man1/aewm++.1x.gz

clean:
	rm -f aewm++ $(OBJS) core

.PHONY: all install clean
