## aewm++ 1.0.24

=== Makefile ===
CC       = g++
CFLAGS   = -g -O2 -Wall

prefix   = /usr
INCLUDES = -I$(prefix)/include
LDPATH   = -L/usr/X11R6/lib
LIBS     = -lXext -lX11

# SHAPE = Shape Extension
# NEED_SETENV = Does your Unix not support the setenv function? Use this!
DEFINES  = -DSHAPE #-DNEED_SETENV 
HEADERS  = aewm.hh 		\
	   client.hh 		\
	   windowmanager.hh  	\
   	   basemenu.hh  	\
	   windowmenu.hh	\
	   genericmenu.hh 	\
	   iconmenu.hh  	

OBJS     = windowmanager.o 	\
	   client.o 		\
	   main.o 		\
	   basemenu.o   	\
	   genericmenu.o	\
	   iconmenu.o   	\
	   windowmenu.o 	

all: aewm++

aewm++: $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.cc $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

install: all
	mkdir -p $(DESTDIR)$(prefix)/bin
	mkdir -p $(DESTDIR)$(prefix)/man/man1
	install -s aewm++ $(DESTDIR)$(prefix)/bin
	install -m 644 aewm++.1x  $(DESTDIR)$(prefix)/man/man1
	
clean:
	rm -f aewm++ $(OBJS) core
