=== debian/control ===
Source: aewm++
Section: x11
Priority: optional
Maintainer: Chris Boyle <cmb@debian.org>
Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev
Standards-Version: 3.8.1.0
Homepage: https://github.com/frankhale/aewmpp

Package: aewm++
Architecture: any
Depends: ${shlibs:Depends}
Suggests: aewm++-goodies
Provides: x-window-manager
Description: minimal window manager written in C++
 aewm++ is a minimal window manager for X11, based on aewm. It keeps aewm's
 minimalist look and feel but is written in C++, and adds some modern features
 like virtual desktops. GNOME EWMH hints have been removed in this release,
 because upstream wants to focus on making the code stable and minimalistic.
 .
 This package used to include appbar, aewm++_fspanel, setrootimage and 
 aewm++_xsession; these can now be found in the aewm++-goodies package.
