=== debian/rules ===
#!/usr/bin/make -f
# Based on sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  COMPILER_FLAGS += CFLAGS="-O0 -g -Wall"
else
  COMPILER_FLAGS += CFLAGS="-O2 -g -Wall"
endif

build: build-stamp

build-stamp:
	dh_testdir

	# compile the programs
	$(MAKE) $(COMPILER_FLAGS) ADDITIONAL_CFLAGS=

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# clean up after the build process
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs usr/bin

	# install all programs into debian/aewm++
	$(MAKE) install \
		prefix=$(CURDIR)/debian/aewm++/usr \
		XROOT=$(CURDIR)/debian/aewm++/usr \
		INCLUDES=-I/usr/include/X11 \
		LDPATH=-L/usr/lib/X11

	mkdir -p $(CURDIR)/debian/aewm++/usr/share/xsessions
	install -m 644 debian/aewm++.desktop $(CURDIR)/debian/aewm++/usr/share/xsessions/

# Build architecture-independent files here.
binary-indep: build install
# nothing to do

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installmenu
	dh_installman debian/aewm++.1x
	dh_installchangelogs ChangeLog
	dh_link
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip
endif
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
build-arch: build
build-indep: build
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
