=== debian/watch ===
version=3
http://code.google.com/p/aewmpp/downloads/list (?:.*/)?aewmpp-(.+)\.tar\.gz
